import { AspectRatio } from "@/components/ui/aspect-ratio"
import { Card } from "@/components/ui/card"
import { Skeleton } from "@/components/ui/skeleton"
import { UserAvatar } from "@/components/user-avatar"
import { getCurrentUser } from "@/lib/session"
import { redirect } from "next/navigation"

export default async function User({ params }: { params: { userid: string } }) {
  const user = await getCurrentUser()

  if (user?.username !== params.userid) {
    redirect('/')
  }

  return (
    <div className="main-content h-full">
      <Card className="w-full h-full overflow-hidden">
        <div className="h-64 overflow-hidden">
          <AspectRatio ratio={889 / 500} className="bg-slate-600  dark:bg-slate-400">
            {/* profile banner */}
            {/* <Image
              src={ }
              alt={ }
              fill
              priority
              className="object-center" /> */}
          </AspectRatio>
        </div>
        <div className="p-6 md:p-12 ss:flex">
          <UserAvatar
            user={{ name: user.name || null, image: user.image || null }}
            className="h-52 w-52 -mt-36"
          />
          <div className="ml-6 md:ml-12 space-y-3">
            <h1 className="text-2xl font-bold">{user.name}</h1>
            <h1 className="text-md text-sky-500">@{user.username}</h1>
            {/* <h1 className="pt-3">{user.bio}</h1> */}
          </div>
        </div>
        <div className="px-6 md:px-12">
          {/* <div className="border-b border-gray-400 dark:border-gray-200" /> */}
          {/* tweets */}
        </div>
      </Card >
      <div className="side-content">
        <Card className="p-6 grid items-start gap-2 bg-secondary">
          <h1>Media</h1>
          <div className="grid grid-cols-1 gap-4">
            {Array.from({ length: 2 }, (_, i) => i + 1).map((i) => {
              return (
                <Skeleton key={i} className="aspect-[264/374] bg-gray-300" />
              )
            })}
          </div>
        </Card>
      </div>
    </div >
  )
}